Getting Started

When TopGuard starts for the very first time, you are automatically logged in as administrator:
Note:
If you have a "TopGuard Patrol Plus Edition" and the Dongle is correctly connected to the PC,
HARDLOCK TWIN Dongle at serial port + DTU | HASP parallel Dongle | HARDLOCK USB Dongle
the following symbol appears at the bottom right corner:
You can also connect the dongle afterwards to the PC and click on "Search". If the dongle is found, the symbol will appear as shown on the left.

ToolBar Launcher

At the foot of the TopGuard main window is a toolbar. This provides a quick loaunchpad for related applications. It can be added to by copying a link or an application to the 'Tools' subdirectory of the Installation Directory.

e.g. If the installation directory is 'c:\Program Files\GCS\TopGuardPatrol'

then the applications must be copied to:

c: \Program Files\GCS\TopGuardPatrol\Tools'

Note: This directory is automatically created as part of the installation process.

Note:
The item " DAU 89" in the device selection only appears if GCS DauComm 3.0 is installed.

Before creating reports you must first define tours, then you connect the devices to the PC.

Finally, it is then possible to download data from the devices and create reports.

Note:
When starting "TopGuard Patrol Plus Edition" for the first time, existing "TopGuard Patrol" tour definitions are imported (if they exist).
Afterwards the tour definitions of these two operating modes (with dongle as "TopGuard Patrol Plus Edition", without as "TopGuard Patrol") are to be considered as separate.


Tour Definition

TopGuard Patrol

The tour definition in TopGuard Patrol is the same as in "GCS Escorte Patrol Manager“ and is fully compatible with it:

You can define 16 tours. Each tour begins with a tour start control point, which must be read at the beginning of each tour. This control point is unique. That means that it must not (and cannot) be used in another tour as a control point.

There are two special tours: "Incidents“ and "Personnel“
The control points in these tours are also unique. Control points from these tours must not (or cannot) be used in any other tour.

The control points in the "Personnel“ tour identify the user of the DAU.
The user should read his personal control point (personnel-ID card or other data medium) at the beginning of his shift, so that all following control points read are assigned to him.

The control points in the "Incidents“ tour record incidents to a control point.
Every user should carry a GCS incident booklet. The control points in this booklet do not have unique codes like "normal“ ones, but all codes are the same in every incident booklet.

Example:
In TopGuard the code of the first control point in the incident booklet is defined as "Light on“.
If a user reads a control point at a location where the light is on and then the first control point in the incident booklet ("Light on“), it would appear in the report like this:

Important:
The control point must always be read first (to identify the location), and then the incident control point from the incident booklet!

In TopGuard Patrol 1750 control points can be defined.
The only difference between "Patrol Manager“ and TopGuard is that:
if a control point is used in more than one tour and the name of one of these control points is changed, the name of the corresponding control points changes automatically in all other tours.

TopGuard Patrol Plus

Differences to TopGuard Patrol
  • 7500 control points can be defined
  • 250 tours can be defined
  • An additional round "break" is possible.
If a break control point is read, a "break" begins and is ended when a new control control point is read. If breaks are recorded they are shown in the report.

Valid for both versions:

Tour definition is performed in two steps:
    • Add control points to the pool
    • Define rounds


Report

After Data Import the report dialog appears.

Here you can create, save or send reports as e-mails or load databases.

If you logged in as Administrator in TopGuard you can influence the report layout with the report options. These settings cannot be changed by users!


Configuration

Always begin by first selecting the device (e.g. by double-click on the device picture) which you want to configure: e.g. a ProxiPen
Then click on "Configuration".

Note:
The item " DAU 89" only appears if GCS DauComm 3.0 is installed.


ProxiPen
The ProxiPen is a DAU for reading GET and GPT.

Reading

Move the reading head to an RF-TAG (GET or GPT).
A valid reading is confirmed by an acoustical signal and a double blink of the LEDs. If there is no acoustic signal (one beep) the battery is low and should be exchanged!

The distance between the head and the TAG should not exceed 1.5 cm. Move the ProxiPen away from the RF-TAG after the acoustical and visual confirmation!

Invalid readings are indicated by a multiple-beep and multiple-blinking of the LEDs!

Please note:
A reading may not have been accepted because the device is locked!

FCC Notice:

This device complies with Part 15 of the FCC Rules. Operation is subject to the following two conditions:

(1) | This device may not cause harmful interference, and
(2) | this device must accept any interference received, including interference that may cause undesired operation.

Any unauthorized modification to this device may void the authority of the user to operate it.


PenDtu
The GCS Pen Dtu is the connection between the GCS ProxiPen and a PC or a modem.

Power
This LED lights up when the electrical current is supplied to the device. The device is protected against incorrect polarity, but to function the polarity must be correct. It is best to use an original GCS power supply.

Pen
If you place a ProxiPen on the device this LED should light up. If this is not the case, it did not recognize the ProxiPen.
Please check the ProxiPen battery.

Modem
Lights up if the device is connected to a modem and recognizes it. The device is ready for the remote data transmission. Put the ProxiPen on the PenDtu to start the remote data transmission.
Pay attention to the modem settings in the ProxiPen and the modem settings in the PenDtu.

Data
If data is transferred from the device to a PC, modem or ProxiPen this LED lights up.
As long as the LED is illuminated the ProxiPen should remain on the PenDtu, otherwise the data transfer could be interrupted.

OnLine
Lights up if the device is connected to a PC or a modem. This LED is the most important indicator as to whether the PenDtu is ready for operation! If the LED does not light up even the PC or modem is connected, the cable could be wrong. Therefore, always use the original GCS PC cable!

FCC Notice:

This device complies with Part 15 of the FCC Rules. Operation is subject to the following two conditions:

(1) | This device may not cause harmful interference, and
(2) | this device must accept any interference received, including interference that may cause undesired operation.

Any unauthorized modification to this device may void the authority of the user to operate it.


Download

Always select the device you want to download data from on the main screen first: e.g. a ProxiPen.

Then click on "Download".

If you are logged in as administrator the configuration dialog for the download settings appears:
Here you can:
  • change the download path
  • enable/disable the watch download folder for new files function

or download the data from the device by clicking on "Download".

If you are logged in as user, the selected device will be downloaded immediately and the data saved as a file in the download folder:
If the download was successful the DAU data memory is deleted. If you click on "Report“ in the main window, these files are evaluated and transferred to the database. Valid data is then moved to the "Back-up folder“, invalid data is moved to the "error folder“.
There are different ways to set another control point folder. Please keep in mind that the format of the control point file changes.


Option Language

TopGuard supports the selection of different languages.

Simply click on the language you wish to use.

Create or edit a language file

If your language is not offered in the programme or if you want to make some adaptations proceed as follows:

1) Select as language "English" from the list in the Admin tab.

2) Click on the 'Edit Language File' button.
3) Confirm with "Yes".

4) Select the language file to be changed from the list displayed.

5) Now select an existing file or click on "Cancel" to create a new, empty language file:
6) For each entry that requires changes, simply locate the text and change the value in the left hand column to that required. For a new file, the left hand column will be blank.

Important: The equals sign '=' may not be used as part of the text!

7) Save the new language file ("File/Save" or exit the dialog)

Hint:
Do not use standard names like "english" but, e.g. "english_new", otherwise the standard language file could be overwritten during installation or update!

Note:
Ampersand (&) means that the button (or option field, menu item, etc.) is called by pressing the letter following the & together with the key ALT:

The entry <cmdExit=&Exit> means e.g., that the button “Exit" can be activated with <ALT + E>.

It is possible that your language already exists as a Download on our Homepage!


Connecting the USB-PenDtu to the PC

The USB-PenDTU can be connected to the serial port as well as to a USB port.
Note:
If the USB-PenDTU is connected to the USB port, the serial port is disabled.

Connect the one end of the USB cable to the USB-PenDTU, and the other end to a free USB port on the PC.
The USB-cable supplies power to the USB-PenDTU directly.

The USB drivers must be installed when connecting the USB-PenDTU for the first time. These are on the TopGuard CD and should have been detected and installed automatically by Windows.

The LEDs "Power“ and "Online“ (if the PC is on) will light up.

Placing a ProxiPen on the USB-PenDtu, causes the LED "Pen“ to light up, indicating that the Pen has been recognised by the DTU.

Connecting the USB-PenDtu or PenDtu to the Com port of the PC

Connect one end of the enclosed PC cable to the (USB)PenDTU, and the other end to a free serial port (COM) on the PC.

Plug in the power supply into an outlet and connect the cable to the (USB)PenDtu.

The LEDs "Power“ and "Online“ (if the PC is on) will light up.

Placing a ProxiPen on the USB-PenDtu, causes the LED "Pen“ to light up, indicating that the Pen has been recognised by the DTU.
Connecting the Escorte DTU to the PC

Connect the Escorte DTU to a free serial port (COM) on the PC.

Plug the power supply into an outlet and connect the cable to the Escorte DTU.

The LED "PWR“ (abbreviation for "Power“) will light up.


Login

The program differentiates between two kinds of users:
  1. User
  2. Administrator

The "Administrator“ has priviliges to configure devices and tour definitions, but the "User“ may only download data from devices and create reports.

If TopGuard has already been started once, the following login dialog will appear each time it is started:
Note:
It is not necessary to enter a password, if the password field is missing.


Defining Tours

If you have already set control points in the pool, it is recommended to assign them a description.
Double-click on the description or click on the control point and press then the F4 key .
You can also change the descriptions afterwards (i.e. directly in the tour).

Note:
If you change the description of one control point (in the pool or in a tour) the description of all control points with this code will be changed in all tours and in the pool.
This guarantees consistency of the descriptions. It is best to use only text without special characters (no ?,;:.#+~etc.), they would make the search in the report preview more difficult.
To assign control points to a particular tour click first on the corresponding tour, select then the corresponding control points in the pool:

Click on the first control point (beside and not on the text!) and drag the mouse cursor while pressing the left mouse button.
or click on the first and last selected control point while pressing the SHIFT key
or click on the different control points you want to select while pressing the CTRL key.
Now click on [image] to add the selected control points, or on [image] to add ALL control points in the pool to the selected tour:
As you can see the check box on the left side of the first control point is automatically selected. This signifies that this control point is the tour start control point!
You can also set another control point, but only if it is not used in any other tour!
The check box on the left side of this tour will also be selected. This means that this tour is active. By clearing the check box you set the tour inactive. Inactive tours are treated in a special way in the report evaluation .

Proceed with all other control points or tours in the same way.
If necessary change the control point or tour description by double-clicking on them or by selecting them and pressing the F4 key.

Exit the dialog and confirm the memory query with "Yes".

Removing Control Points from a Tour
To remove control points from a tour select them and click on [image] or click on [image] to remove ALL control points from the tour selected.

Clearing tour definitions

By clicking on "Clear" in the menu "Tour Definition" the current (shown) definition is cleared. If you want to Undo, exit the dialog and click on "NO“ at the memory query. Open the dialog again by clicking on "tour definition“ in the main window.

Save

Click on "Save" in the menu "file" to save the current tour definition AND the pool.

Options

If you click with the right mouse button on one of the list views you will get more functions, depending on the list, such as:

Rename | also by pressing the F4 key
Sorting | also by clicking on the column heading (sorting sequence changes with every click)
Find | descriptions are searched
Copy | all selected control points are copied (description & code)

The following options are available only in the " TopGuard Patrol Plus Edition :

Map View | Creates a tour map from a graphic file
Optional | Sets the selected control points on "Optional" or comes back to standard. Optional control points can be read (indicated as optional but read in the report) or not (are not indicated in the report as missing control points). Optional control points are indicated with "#". Note: Tour start control points are not optional!


Printing Tour Definitions

The defined tours are printed.

Printing the Pool

The current (shown!) pool list is printed.

Printing Bar codes

For more information see Printing Bar Codes


There are different possibilities to set other download folders.
Please note that the download format will also change!

Direct Path Setting for the download folder:
Advantage:
If the folder does not already exist, TopGuard creates it.

Selection of an existing folder (all folders)
Click on [image] to select an existing folder as download folder, back-up folder or error folder.

If the check box "Track Download Folder“ is selected, the path for the folders "back-up folder“ and "error folder“ will be adapted automatically . To be able to enter any other path for these folders you must clear the check box and click on the corresponding [image] .

Selection from List

If you open this window TopGuard creates a list with the download folders from GCS Programs that have already installed on your PC:
  • TopGuard (Standard setting)
  • Prisma 4.0
  • WinArgus 1.1
  • DauComm 3.0
  • WinSpector 1.1
If none of the above mentioned GCS Programs is installed, the list contains only the TopGuard standard download folder.

Please note:
If necessary the download settings will be automatically checked. If one setting is invalid (e.g. the download folder indicates a network drive which is not available for the moment), TopGuard restores the standard settings.

When you "Exit“ this dialog TopGuard checks the set folders. If one of them it does not exist, it will be created. If for any reason this is not possible or the setting is invalid (certain Windows folders are not accepted), the exit is interrupted and the initial settings are restored.


Watching Download Folder

If download files are saved in the download folder by another program (e.g. with GCS DauComm or via modem), it can be advantageous to be informed about new incoming data files.

Select the check box "Watch download folder for new files“. Once the window "Download settings“ is closed you will see on the main window below the "Report“ button the number of download files currently in the download folder:
If the number of download files is greater than zero, the color turns red and the indication blinks. The indication is refreshed every second, but only if no other window is opened.


Download Formats

A new download format, the GDF, was introduced with TopGuard
Since older GCS programs do not know this file format, TopGuard supports different (older) download file formats:

Format | Data Type | Note
WA (WinArgus Format) | 8 digit numeric data | e.g. from the Escorte
GDF (GCS Download File) | any | new standard format for GCS programs
WinSpector | any GCS type | only supported by WinSpector 1.1
Prisma4 | any | only supported by Prisma 4.0

TopGuard automatically selects the download file format depending on the set download folder:

Download folder | Download Format | Alternative Download Format
TopGuard Standard | GDF Format | -
Prisma | Prisma4 | -
WinSpector | WinSpector | -
Others | WAF | GDF

The alternative download format is used when TopGuard is NOT able to save the downloaded data in the actual Download format:

It is not possible (for example) to save GPT (GCS ProxiPen Tags) data in the WA format, because it supports only 8 digit numeric data, because GPT have 10 digit hexadecimal codes.


ProxiPen Battery Exchange

A valid reading is confirmed by an acoustic signal and a double blink of the LEDs on the ProxiPen head. If only the LEDs light up and no acoustic signal is heard, the battery is low and should be replaced.

The ProxiPen operates with any 1.5 V battery, size AA.
Zinc-coal batteries are not recommended because they are not powerful enough.
GCS recommends the following battery types:

Type | Company/Brand | Symbol | Application
Alkaline | DURACELL Ultra |  | -10°C to + 70°C for standard operation
NiMh | SANYO Twicell |  | rechargeable, saves battery costs, but low reading performance
Lithium | ENERGIZER |  | low temperatures: -20°C to + 70°C

The battery should be replaced within 3 minutes, otherwise the ProxiPen switches into the "Boot Mode“.

In this operation mode no readings can be made!

This is protection against manipulation: If a user takes the battery out (longer than 3-15 minutes), the switch over time to the Boot Mode is saved in the ProxiPen.
If you set the date / time the mode will again be "normal“.
In the configuration mode TopGuard switches automatically during the download of a ProxiPen to the normal mode (by setting the date / time), but indicates the disabling time (Boot Mode) (<last long power drop out>):
Note: After a new reading this display is deleted!

Important:
If you want to use another type of battery, you must "inform“ the ProxiPen, because it uses other values:
The maximum voltage of a NiMH battery is approx. 1.35 V, but an Alkaline battery can be more then 1.55V:
Please note the correct polarity when replacing the battery:
The ProxiPen is protected against incorrect polarity, but if the battery is not inserted correctly it will discharge.!


Data Media supported by GCS

GCS Magnetic Strips (GMS)

GCS Escorte ProxiTags (GET)

GCS Bar codes (GBC)

GCS ProxiPen Tags (GPT)


GCS Magnetic Strips (GMS)
GMS are based on a contactless, magnetic reading procedure developed by GCS.

Therefore these strips should NOT be mounted
  • next to strong power sources (e.g. transformers, power supplies)
  • next to other devices creating strong electromagnetic fields (e.g. PC monitors).

Every strip has a unique worldwide 8 digit numeric code.
There are also special strips (e.g. incident strips, command strips, print strips, modem strips, etc.), which have a
specific numeric code:

These strips may not be used as control points!

Number | Signification
99998001 | INCIDENT 1
99998002 | INCIDENT 2
99998003 | INCIDENT 3
99998004 | INCIDENT 4
99998005 | INCIDENT 5
99998006 | INCIDENT 6
99998007 | INCIDENT 7
99998008 | INCIDENT 8
99998009 | INCIDENT 9
99998010 | INCIDENT 10
99998011 | INCIDENT 11
99998012 | INCIDENT 12
99998013 | INCIDENT 13
99998014 | INCIDENT 14
99998015 | INCIDENT 15
99998016 | INCIDENT 16
99998017 | INCIDENT 17
99998018 | INCIDENT 18
99998019 | INCIDENT 19
99998020 | INCIDENT 20
99998021 | INCIDENT 21
99998022 | INCIDENT 22
99998023 | INCIDENT 23
99998024 | INCIDENT 24
99998025 | INCIDENT 25
99998026 | INCIDENT 26
99998027 | INCIDENT 27
99998028 | INCIDENT 28
99998029 | INCIDENT 29
99998030 | INCIDENT 30
99998031 | INCIDENT 31
99998032 | INCIDENT 32
99998033 | INCIDENT 33
99998034 | INCIDENT 34
99998035 | INCIDENT 35
99998036 | INCIDENT 36
99998037 | INCIDENT 37
99998038 | INCIDENT 38
99998039 | INCIDENT 39
99998040 | INCIDENT 40
99998041 | INCIDENT 41
99998042 | INCIDENT 42
99998043 | INCIDENT 43
99998044 | INCIDENT 44
99998045 | INCIDENT 45
99998046 | INCIDENT 46
99998047 | INCIDENT 47
99998048 | INCIDENT 48
99998049 | INCIDENT 49
99998050 | INCIDENT 50
99998051 | INCIDENT 51
99998052 | INCIDENT 52
99998053 | INCIDENT 53
99998054 | INCIDENT 54
99998055 | INCIDENT 55
99998056 | INCIDENT 56
99998057 | INCIDENT 57
99998058 | INCIDENT 58
99998059 | INCIDENT 59
99998060 | INCIDENT 60
99999001 | SET TIME
99999002 | LEARN ROUND
99999003 | Print P.Info/300 Bd, USA
99999004 | Print ALL tours
99999007 | AUTO-DIAL/300 Bd, endl.redial
99999011 | SET DATE
99999012 | RESET
99999013 | Print P.Info/300 Bd, UK
99999014 | Print tour #01
99999017 | AUTO-DIAL/300 Bd, 1 redial
99999021 | SET ID NUMBER (PM)
99999022 | USER
99999023 | Print P.Info/300 Bd, FRANCE
99999024 | Print tour #02
99999027 | AUTO-DIAL/300 Bd, 2 redial
99999031 | SET ID NUMBER (DAU)
99999032 | INCIDENT
99999033 | Print P.Info/300 Bd, GERMANY
99999034 | Print tour #03
99999037 | AUTO-DIAL/300 Bd, 3 redial
99999041 | INSERT STRIP
99999043 | Print P.Info/300 Bd, SWEDEN
99999044 | Print tour #04
99999047 | AUTO-DIAL/300 Bd, 4 redial
99999051 | REPLACE STRIP
99999053 | Print P.Info/300 Bd, SPAIN
99999054 | Print tour #05
99999057 | AUTO-DIAL/300 Bd, 5 redial
99999061 | CANCEL COMMAND
99999063 | Print P.Info/300 Bd, PORTUGAL
99999064 | Print tour #06
99999067 | AUTO-DIAL/300 Bd, 6 redial
99999071 | ERROR WARNING ON
99999073 | Print P.Info/300 Bd, ITALY
99999074 | Print tour #07
99999077 | AUTO-DIAL/300 Bd, 7 redial
99999077 | AUTO-DIAL/9600 Bd, 7 redial
99999081 | ERROR WARNING OFF
99999083 | Print P.Info/300 Bd, NETHERL.
99999084 | Print tour #08
99999087 | AUTO-DIAL/300 Bd, 8 redial
99999091 | REMOVE STRIP
99999093 | Print P.Info/300 Bd, FINLAND
99999094 | Print tour #09
99999097 | AUTO-DIAL/300 Bd, 9 redial
99999103 | Print P.Info/75 Bd, USA
99999104 | Print tour #10
99999107 | AUTO-DIAL/75 Bd, endl.redial
99999113 | Print P.Info/75 Bd, UK
99999114 | Print tour #11
99999117 | AUTO-DIAL/75 Bd, 1 redial
99999123 | Print P.Info/75 Bd, FRANCE
99999124 | Print tour #12
99999127 | AUTO-DIAL/75 Bd, 2 redial
99999133 | Print P.Info/75 Bd, GERMANY
99999134 | Print tour #13
99999137 | AUTO-DIAL/75 Bd, 3 redial
99999143 | Print P.Info/75 Bd, SWEDEN
99999144 | Print tour #14
99999147 | AUTO-DIAL/75 Bd, 4 redial
99999153 | Print P.Info/75 Bd, SPAIN
99999154 | Print tour #15
99999157 | AUTO-DIAL/75 Bd, 5 redial
99999163 | Print P.Info/75 Bd, PORTUGAL
99999164 | Print tour #16
99999167 | AUTO-DIAL/75 Bd, 6 redial
99999173 | Print P.Info/75 Bd, ITALY
99999177 | AUTO-DIAL/75 Bd, 7 redial
99999183 | Print P.Info/75 Bd, NETHERL.
99999187 | AUTO-DIAL/75 Bd, 8 redial
99999193 | Print P.Info/75 Bd, FINLAND
99999197 | AUTO-DIAL/75 Bd, 9 redial
99999203 | Print P.Info/150 Bd, USA
99999207 | AUTO-DIAL/150 Bd, endl.redial
99999213 | Print P.Info/150 Bd, UK
99999217 | AUTO-DIAL/150 Bd, 1 redial
99999223 | Print P.Info/150 Bd, FRANCE
99999227 | AUTO-DIAL/150 Bd, 2 redial
99999233 | Print P.Info/150 Bd, GERMANY
99999237 | AUTO-DIAL/150 Bd, 3 redial
99999243 | Print P.Info/150 Bd, SWEDEN
99999247 | AUTO-DIAL/150 Bd, 4 redial
99999253 | Print P.Info/150 Bd, SPAIN
99999257 | AUTO-DIAL/150 Bd, 5 redial
99999263 | Print P.Info/150 Bd, PORTUGAL
99999267 | AUTO-DIAL/150 Bd, 6 redial
99999273 | Print P.Info/150 Bd, ITALY
99999277 | AUTO-DIAL/150 Bd, 7 redial
99999283 | Print P.Info/150 Bd, NETHERL.
99999287 | AUTO-DIAL/150 Bd, 8 redial
99999293 | Print P.Info/150 Bd, FINLAND
99999297 | AUTO-DIAL/150 Bd, 9 redial
99999303 | Print P.Info/600 Bd, USA
99999307 | AUTO-DIAL/600 Bd, endl.redial
99999313 | Print P.Info/600 Bd, UK
99999317 | AUTO-DIAL/600 Bd, 1 redial
99999323 | Print P.Info/600 Bd, FRANCE
99999327 | AUTO-DIAL/600 Bd, 2 redial
99999333 | Print P.Info/600 Bd, GERMANY
99999337 | AUTO-DIAL/600 Bd, 3 redial
99999343 | Print P.Info/600 Bd, SWEDEN
99999347 | AUTO-DIAL/600 Bd, 4 redial
99999353 | Print P.Info/600 Bd, SPAIN
99999357 | AUTO-DIAL/600 Bd, 5 redial
99999363 | Print P.Info/600 Bd, PORTUGAL
99999367 | AUTO-DIAL/600 Bd, 6 redial
99999373 | Print P.Info/600 Bd, ITALY
99999377 | AUTO-DIAL/600 Bd, 7 redial
99999383 | Print P.Info/600 Bd, NETHERL.
99999387 | AUTO-DIAL/600 Bd, 8 redial
99999393 | Print P.Info/600 Bd, FINLAND
99999397 | AUTO-DIAL/600 Bd, 9 redial
99999403 | Print P.Info/1200 Bd, USA
99999407 | AUTO-DIAL/1200 Bd, endl.redial
99999413 | Print P.Info/1200 Bd, UK
99999417 | AUTO-DIAL/1200 Bd, 1 redial
99999423 | Print P.Info/1200 Bd, FRANCE
99999427 | AUTO-DIAL/1200 Bd, 2 redial
99999433 | Print P.Info/1200 Bd, GERMANY
99999437 | AUTO-DIAL/1200 Bd, 3 redial
99999443 | Print P.Info/1200 Bd, SWEDEN
99999447 | AUTO-DIAL/1200 Bd, 4 redial
99999453 | Print P.Info/1200 Bd, SPAIN
99999457 | AUTO-DIAL/1200 Bd, 5 redial
99999463 | Print P.Info/1200 Bd, PORTUGAL
99999467 | AUTO-DIAL/1200 Bd, 6 redial
99999473 | Print P.Info/1200 Bd, ITALY
99999477 | AUTO-DIAL/1200 Bd, 7 redial
99999483 | Print P.Info/1200 Bd, NETHERL.
99999487 | AUTO-DIAL/1200 Bd, 8 redial
99999493 | Print P.Info/1200 Bd, FINLAND
99999497 | AUTO-DIAL/1200 Bd, 9 redial
99999503 | Print P.Info/2400 Bd, USA
99999507 | AUTO-DIAL/2400 Bd, endl.redial
99999513 | Print P.Info/2400 Bd, UK
99999517 | AUTO-DIAL/2400 Bd, 1 redial
99999523 | Print P.Info/2400 Bd, FRANCE
99999527 | AUTO-DIAL/2400 Bd, 2 redial
99999533 | Print P.Info/2400 Bd, GERMANY
99999537 | AUTO-DIAL/2400 Bd, 3 redial
99999543 | Print P.Info/2400 Bd, SWEDEN
99999547 | AUTO-DIAL/2400 Bd, 4 redial
99999553 | Print P.Info/2400 Bd, SPAIN
99999557 | AUTO-DIAL/2400 Bd, 5 redial
99999563 | Print P.Info/2400 Bd, PORTUGAL
99999567 | AUTO-DIAL/2400 Bd, 6 redial
99999573 | Print P.Info/2400 Bd, ITALY
99999577 | AUTO-DIAL/2400 Bd, 7 redial
99999583 | Print P.Info/2400 Bd, NETHERL.
99999587 | AUTO-DIAL/2400 Bd, 8 redial
99999593 | Print P.Info/2400 Bd, FINLAND
99999597 | AUTO-DIAL/2400 Bd, 9 redial
99999603 | Print P.Info/4800 Bd, USA
99999607 | AUTO-DIAL/4800 Bd, endl.redial
99999613 | Print P.Info/4800 Bd, UK
99999617 | AUTO-DIAL/4800 Bd, 1 redial
99999623 | Print P.Info/4800 Bd, FRANCE
99999627 | AUTO-DIAL/4800 Bd, 2 redial
99999633 | Print P.Info/4800 Bd, GERMANY
99999637 | AUTO-DIAL/4800 Bd, 3 redial
99999643 | Print P.Info/4800 Bd, SWEDEN
99999647 | AUTO-DIAL/4800 Bd, 4 redial
99999653 | Print P.Info/4800 Bd, SPAIN
99999657 | AUTO-DIAL/4800 Bd, 5 redial
99999663 | Print P.Info/4800 Bd, PORTUGAL
99999667 | AUTO-DIAL/4800 Bd, 6 redial
99999673 | Print P.Info/4800 Bd, ITALY
99999677 | AUTO-DIAL/4800 Bd, 7 redial
99999683 | Print P.Info/4800 Bd, NETHERL.
99999687 | AUTO-DIAL/4800 Bd, 8 redial
99999693 | Print P.Info/4800 Bd, FINLAND
99999697 | AUTO-DIAL/4800 Bd, 9 redial
99999703 | Print P.Info/9600 Bd, USA
99999707 | AUTO-DIAL/9600 Bd, endl.redial
99999713 | Print P.Info/9600 Bd, UK
99999717 | AUTO-DIAL/9600 Bd, 1 redial
99999723 | Print P.Info/9600 Bd, FRANCE
99999727 | AUTO-DIAL/9600 Bd, 2 redial
99999733 | Print P.Info/9600 Bd, GERMANY
99999737 | AUTO-DIAL/9600 Bd, 3 redial
99999743 | Print P.Info/9600 Bd, SWEDEN
99999747 | AUTO-DIAL/9600 Bd, 4 redial
99999753 | Print P.Info/9600 Bd, SPAIN
99999757 | AUTO-DIAL/9600 Bd, 5 redial
99999763 | Print P.Info/9600 Bd, PORTUGAL
99999767 | AUTO-DIAL/9600 Bd, 6 redial
99999773 | Print P.Info/9600 Bd, ITALY
99999783 | Print P.Info/9600 Bd, NETHERL.
99999787 | AUTO-DIAL/9600 Bd, 8 redial
99999793 | Print P.Info/9600 Bd, FINLAND
99999797 | AUTO-DIAL/9600 Bd, 9 redial
99999803 | Print P.Info/19200 Bd, USA
99999807 | AUTO-DIAL/19200 Bd, endl.redial
99999813 | Print P.Info/19200 Bd, UK
99999817 | AUTO-DIAL/19200 Bd, 1 redial
99999823 | Print P.Info/19200 Bd, FRANCE
99999827 | AUTO-DIAL/19200 Bd, 2 redial
99999833 | Print P.Info/19200 Bd, GERMANY
99999837 | AUTO-DIAL/19200 Bd, 3 redial
99999843 | Print P.Info/19200 Bd, SWEDEN
99999847 | AUTO-DIAL/19200 Bd, 4 redial
99999853 | Print P.Info/19200 Bd, SPAIN
99999857 | AUTO-DIAL/19200 Bd, 5 redial
99999863 | Print P.Info/19200 Bd, PORTUGAL
99999867 | AUTO-DIAL/19200 Bd, 6 redial
99999873 | Print P.Info/19200 Bd, ITALY
99999877 | AUTO-DIAL/19200 Bd, 7 redial
99999883 | Print P.Info/19200 Bd, NETHERL.
99999887 | AUTO-DIAL/19200 Bd, 8 redial
99999893 | Print P.Info/19200 Bd, FINLAND
99999897 | AUTO-DIAL/19200 Bd, 9 redial
99999903 | Print P.Info/38400 Bd, USA
99999907 | AUTO-DIAL/38400 Bd, endl.redial
99999913 | Print P.Info/38400 Bd, UK
99999917 | AUTO-DIAL/38400 Bd, 1 redial
99999923 | Print P.Info/38400 Bd, FRANCE
99999927 | AUTO-DIAL/38400 Bd, 2 redial
99999933 | Print P.Info/38400 Bd, GERMANY
99999937 | AUTO-DIAL/38400 Bd, 3 redial
99999943 | Print P.Info/38400 Bd, SWEDEN
99999947 | AUTO-DIAL/38400 Bd, 4 redial
99999953 | Print P.Info/38400 Bd, SPAIN
99999957 | AUTO-DIAL/38400 Bd, 5 redial
99999963 | Print P.Info/38400 Bd, PORTUGAL
99999967 | AUTO-DIAL/38400 Bd, 6 redial
99999973 | Print P.Info/38400 Bd, ITALY
99999977 | AUTO-DIAL/38400 Bd, 7 redial
99999983 | Print P.Info/38400 Bd, NETHERL.
99999987 | AUTO-DIAL/38400 Bd, 8 redial
99999993 | Print P.Info/38400 Bd, FINLAND
99999997 | AUTO-DIAL/38400 Bd, 9 redial
00000030 | NUMERIC INPUT VALUE 0
00000031 | NUMERIC INPUT VALUE 1
00000032 | NUMERIC INPUT VALUE 2
00000033 | NUMERIC INPUT VALUE 3
00000034 | NUMERIC INPUT VALUE 4
00000035 | NUMERIC INPUT VALUE 5
00000036 | NUMERIC INPUT VALUE 6
00000037 | NUMERIC INPUT VALUE 7
00000038 | NUMERIC INPUT VALUE 8
00000039 | NUMERIC INPUT VALUE 9


GCS Bar Codes (GBC)
GCS bar codes are based on the bar code 39. This is a standard according to which the bar codes are compiled.
This kind of bar code supports alpha numeric characters (A-Z, 0-9) in any length.
GCS bar codes have certain restrictions:
  1. only numeric characters (digits 0-9) are supported
  2. the length is limited to 7 digits

GCS bar codes can be read with any bar code reader which supports bar code 39.
The OptoEscorte can only read GCS bar codes!

Since the OptoEscorte always saves 8 digit numbers, the bar code is automatically extended to 8 digits at every reading. A leading "1" is ALWAYS used, followed by the corresponding number of "0": e.g.

actual reading | saved as
2 | 1000 0002
4711 | 1000 4711
7654321 | 1765 4321

You can print these bar codes with TopGuard.


GCS ProxiEscorte TAGs (GET)
Proximity TAGs with a world wide unique 8 digit numeric code.
The number range is between 04000001 and 04299999.

The Proximity Technolgy is based on a high frequency transmission and could be disturbed by metals.
If you want to mount a ProxiTAG on a metallic door for example, you must put a spacer between the ProxiTAG and the metallic surface. You can get these spacers directly from GCS, their authorized dealers or the ProxiTAG manufacturer.


GCS ProxiPen TAGs (GPT)
Proximity TAGs with worldwide unique 10 character hexadecimal code.

The Proximity Technolgy is based on a high frequency transmission and could be disturbed by metals.
If you want to mount a ProxiTAG on a metallic door for example, you must put a spacer between the ProxiTAG and the metallic surface. You can get these spacers directly from GCS, one of its authorized dealers or the ProxiTAG manufacturer.


TopGuard v1.1

Throughout this Help System, TopGuard refers to both TopGuard Patrol & TopGuard Patrol Plus.

TopGuard Patrol
Free of charge
Up to 16 Tours and 250 Checkpoints
Limited Reporting facilities
No dongle required.

TopGuard Patrol Plus
Up to 250 Tours and 7,500 Checkpoints
Extensive Reporting facilities
Dongle protected.

Once you have set the passwords for the Login after the very first start-up, you can configure the devices with TopGuard if they are connected.

Before creating reports you must first define tours . For that you can take data from other GCS programs or data media from a DAU (e.g. PenMaster) directly. You can print the definition (also GBC bar codes directly as labels!) or save it as file.

After the download of the devices (ProxiPen with PenDtu or Escorte) or the database update you can create reports. You are also able to create downloads with TopGuard and provide them to other programs.

You can choose between several different languages for TopGuard. Additional language files can be created by the User.

For updates please contact your local distributor or GCS direct.


General Control Systems Ltd
New Challenge House,
International Way,
Tewkesbury,
Gloucestershire GL20 8JG

Tel: +44/1684/277 555
Fax: +44/1684/277 556
Homepage: www.gcscontrol.com
Email:
contact@gcscontrol.com
sales@gcscontrol.com
support@gcscontrol.com


Report Evaluation

A tour must always to be started with a tour start control point.
All following control points are attributed to this tour until the next tour start control point is read.

Evaluation takes place directly during the download files import to the database. The current tour definition valid at this moment is used!


DOS Argus and WinArgus are evaluation software by GCS


Upgrade from ...

... Argus to TopGuard

Requirement:
An Argus master file (A-file, ending : *.mas)

A-files are created by WinArgus and contain tour definitions. There are two special A-files:

INCIDENT.MAS | contains incident definitions
GUARD.MAS | contains personnel definitions
Important:
Since Argus can administrate up to 99 tours, but TopGuard only up to 16, only the first 16 tours are imported from Argus into TopGuard Patrol, whereas all 99 are imported into TopGuard Patrol Plus!

You can add control points from an A-file by importing all control points from the file to the pool, but you can also import A-files:
The structure (tour definition) is directly imported to the tour definition. The current tour definition is overtyped. Therefore a security query appears before the following screen appears:
Select which kind of Argus you want to import: WinArgus or DOS Argus.

Click on [image] to select the A-file and then on "Import“.

Note:
The indication of "INCIDENT.MAS“ or "GUARD.MAS“ is optional.
By clicking on [image] you can add the imported control points to the pool.

... TopGuard to Argus

You can also export the current TopGuard definition as A-file.

The control points of the incident tour are saved in "INCIDENT.MAS“, the control points of the personnel tour in "GUARD.MAS“ and all control points of the other tours in the selected master file.


Change from...

... TopGuard to Patrol Manager

You can also export the current TopGuard definition as a PM (Patrol Manager)-file. This file can then be loaded into the Escorte (see Help in "Escorte – Configuration“):
Note:
If numeric codes that are not 8 digits long have been selected in the TopGuard Patrol definition, the export will not be carried out. PM files are not allowed to contain such codes.

By clicking on [image] you can add the control points of the current definition to the pool.

...TopGuard Patrol/Plus to TopGuard Professional

TopGuard Professional can take Checkpoint, Tour, Incident, Personnel & Break data directly. This allows a smooth upgrade from TopGuard Patrol or Plus. The data is a '.tgp. file, with the following format:

!## TopGuard Patrol v2.0.0 +3/16 ##! - The source application with the Tour Count (3) & Total number of Tours (16)
#001 Challenge House - The tour number & title
0413aa9b Front Door - The Checkpoints on the tour
0413aa96 D&D
0413aa8e Canteen
0413aaad Back Door
#002 Top Barn - Next Tour
0413aab2 Main Door
0413aaa0 Office
0413aa88 Goods In
#003 North Site - Final Tour
04007963 P-Main Door
0413aa91 P-100
0413aaac P-200
0413aaa7 P-300
#17 Incidents - List of Incidents
0413aa8b Broken Window
0413aa89 Fire Alarm
0413aa8d Locked Room
#18 Personnel
0413aa9e Joe Guard - List of Personnel

For the Plus Version only:

#253 Break - List of Break types
0413aa8c In Car

... Patrol Manager to TopGuard

Requirement:
A Patrol Manager file (PM-files, ending: *.p92)
PM-files contain the tour definitions of the Escorte Patrol Manager. They can be created with the GCS EscorteUtility or with TopGuard.

You can add control points from a PM-file, where all control points from the file are imported to the pool, but you can also import PM-files:
The structure (tour definition) is directly imported to the TopGuard tour definition. The current tour definition is overtyped. Therefore a security query appears.
By clicking on [image] you can add the control points of the current definition to the pool.


Adding Control Points to the Pool

In order to define tours the control points (and their codes) must first be imported or added to TopGuard. These control points are put in a "pool“. From there they can be "moved" to tours. You can define up to 250 control points for TopGuard Patrol and 7500 control points for TopGuard Patrol Plus in the pool. The pool is automatically saved when the Tour Definition dialog is closed.

Adding Control Points manually

Select "M...Manual“. Now select the data medium type in the dialog box and enter the code. Then enter the description for this control point.
Click on "Add“ to add the control point to the pool.

Note:
The prefix of GBC is always "1",the prefix of GET is always "04".

There is one special "data medium type": the DAU itself.
If you select this data medium type, select the DAU-type instead of the control point code and also enter the DAU serial number:
Enter as description the owner or user of the DAU and click on "Add":

e.g. DAU proxipen_2001#0815

This type of control point can only be used as a Personnel-ID (in the personnel tour).
If such a control point is defined as a personnel-ID, the user will be recognized at the download of the corresponding DAU as if a personnel control point had been read. This especially concerns report evaluation.

Importing Control Points from the Escorte or ProxiPen

The DTU must be connected and an Escorte or a ProxiPen must be laid on it correctly:
Note:
The letter at the beginning of each line is for quick selection, press e.g. <P> for ProxiPen (the list must be selected).

Then you can choose if you want to import only the last control point read or all control points from the device:
After importing you can delete or save the data in the device:
The description "?“ + the device name (e.g. ProxiPen) + “#“ + the device's serial number is set for importing new data media, e.g.: „?ProxiPen#11“

Adding Control Points with the PenMaster

Connect the PenMaster to the serial port of your PC and select "A...PenMaster“

If a PenMaster is found, the port is indicated and a green square appears (otherwise it is red):
Now read the control points with the PenMaster:
The description will be "?PenMaster#“ + the PenMaster's serial number.

Importing Control Points from a File

You can import also control points from files.
The following file types are supported:

File Type | Ending | Description
GCS Files | *.gdf | GCS Download File
 | *.p92 | Patrol Manager Definition (created with EscorteUtility or TopGuard Patrol)
 | *.cp | Escorte download file (created with EscorteUtility)
 | *.mas | Definition file WinArgus or DosArgus
 | *.gcs | Escorte copy (created with EscorteUtility)
 | *.rnd | download file (created with DosArgus)
 | *.def | TopGuard Patrol 1.0 control point definition file
Excel | *.csv | General sheet format for text files
 | *.xls | from version 97 on
WinArgus download file | *.* | download files in WinArgus format

Select "F...File“, in the following dialog.
Note:
To be able to import download files from WinArgus, select "WinArgus download files“ as data type.
Since these files have no specific data endings, all files are shown, including those which cannot be imported!

The description of the control points will be the file name.
In the subfolder "Samples“ of the TopGuard Patrol file you will find examples (e.g. for the set-up of Excel spreadsheets).

Removing Control Points from the Pool
Select the corresponding control points in the pool and click on [image] . Before the control points are removed from the pool, a back-up copy is made. The recycle bin symbol changes from [image] to [image] . By clicking on this symbol you can Undo the last Delete.

Note:
When you exit the dialog the back-up copy is lost.


ProxiPen Lock Status

You can lock the ProxiPen which means that no control points cannot be read.
If the ProxiPen is locked, a warning will appear in the status window.


Compatibility

The compatibility of all GCS products has always been one of the characteristic features of GCS product development.
TopGuard is also an interface between established GCS technology (devices, data media, file formats) and new, future GCS technology:

Change from:
  1. GCS Patrol Manager to TopGuard
  2. GCS WinArgus to TopGuard
or from
  1. TopGuard to GCS Patrol Manager
  2. TopGuard to GCS WinArgus
  3. TopGuard to GCS Prisma 4.0

It is also possible to use TopGuard together with GCS Prisma 4.0 or other GCS programs and to import data from former GCS Software.


Print Options Report

To change the print options you have to be logged in as administrator!

Print Legend

To show the signification of the different signs for the control point status on the report you can print the legend at the beginning of each report. If "print legend" is cleared, the signification is printed beside the status sign.

Print Control Point Code

TopGuard prints the control point code only if the control point is unknown (not defined).
By selecting the check box (this selects also print legend!) the control point code will always be printed.

Page Layout

Select the page layout. It can be set before printing (in the print preview) but will not be saved there!

If the page width is too small in the portrait format (e.g. the font is too big) the layout will automatically be changed to landscape format.

Print Exceptions Bold

Every invalid (*) control point will be printed in bold.

Print Download Info

Determines if information about the download file are printed or not.

Print Tour Header

Available only in "TopGuard Patrol Plus Edition"!

If this option is cleared the report looks like a list.


Loading a Database

TopGuard Patrol always uses the database "TopGuard Patrol.mdb“.

TopGuard Patrol Plus always uses the database "TopGuard Patrol_ee.mdb"

If it becomes too big it will be saved as a back-up (name + date/time) and a new database is created.
You can open old databases at any time in the report dialog and create reports:
You will find a demo database in the folder <...\Samples\demo.mdb> or you create your own sample by loading a sample.


Creating a Report

The last day with available data is set automatically in the database:
Note:
By double clicking on the begin date <01/12/2002> changes the field to "04/03/2003":
By clicking on [image] the date from the left side (from) is moved to the right side (to).
This works also the other way around. If you double-click for example on (<04/03/2003>) and then in the field "To".
If you click on [image] , you can select the date from the shown calendar:
If you click for example on the month (<August>), the month selection is opened:
In General:
You can only select a date for which data exists in the database.

The following functions are only available in the TopGuard Patrol Plus Edition:

Tour selection

Select the tour for which you want to create a report or select "database history":

TopGuard switches automatically to the control point report. A window with all control points appears on the right side. Select the control points (multiple choice possible) for which you want to have a report.

Report selection

Choose between the following reports:
  • Summary report (standard also in Primo)
  • Personnel report
  • Control point report
  • Incident report
  • Break report

Print options for creating a report

In the summary and the personnel report you can influence the printout as follows:
  • Print missing control points
  • Print exceptions (all not valid ("*") or tour start control points ("T" or "TI"))
  • Print valid control points

To create an exception report for example, clear the check boxes "Print missing CPs" and "Print valid CPs".


Data Transfer Unit; Data transfer unit or download unit for DAU


Escorte Lock Status

You can lock the Escorte, which means that control points cannot be read.
If the Escorte is locked a warning will appear on the status window.


PenDTU Time Zones

Since TopGuard checks the correct time setting in the ProxiPen (+/- 5 minutes PC date/time), it is important that the time zone in the PenDtu is set correctly.

Please note:
At delivery NO time zone is set in the PenDtu!

If a ProxiPen has been read or if the ProxiPen or PenDtu configuration window is open and no time zone is set in the PenDtu, TopGuard sets the time zone automatically to the PC time zone!

If you use the PenDtu in a different time zone than the one in the PC, you must set the PenDtu and ProxiPen time zone manually!

Note:
TopGuards logic is based on the presumption that the ProxiPen is used in the same time zone as the PenDtu! This is important for the ProxiPen time setting!

Example:
The PenDtu (and the ProxiPen) are used in Athens, but the data is downloaded via modem to a PC in Vienna. A program now calculates the PC and the ProxiPen GMT time according to the time zone set in the PenDtu:

The GMT time is 13:00. Athens has a GMT+2, therefore it is 15:00 there. Vienna has a GMT +1, therefore it is 14:00 there. Assuming that the PC time and time zone are correct:

 | local time | GMT Offset | GMT calculated
ProxiPen time in Athens | 15:09 | PenDtu +2 (Athens) | 13:09
PC time in Vienna | 14:00 | PC +1 (Vienna) | 13:00

The time difference between ProxiPen and PC is greater than 5 minutes, but it can be synchronized easily.

If an incorrect time zone is set in the PenDtu (e.g. Vienna GMT +1):

 | local time | GMT Offset | GMT calculated
ProxiPen time in Athens | 15:09 | PenDtu +1 (Vienna) | 14:09
PC time in Vienna | 14:00 | PC +1 (Vienna) | 13:00

If the time of the ProxiPen and the PC are synchronized, the ProxiPen time would be the time in Vienna (14:00), even if it is 15:00 in Athens. All following readings would be one hour off! If a control point is visited e.g. at 16:00 the ProxiPen would save this control point as visited at 15:00!


Escorte
The GCS Escorte is a DAU, available in different models:
  • Escorte Classic (reads GMS)
  • ProxiEscorte (reads GMS and GET)
  • OptoEscorte (reads GBC)
All models have integrated software, the GCS Patrol Manager.

Reading

By passing the head on the data medium. A valid reading is confirmed by an acoustic signal and the light up of the LEDs on the head. If there is no acoustic signal (one beep) the battery is low and should be exchanged!

During the reading of a TAG with the ProxiEscorte you must push the button on the head part. The distance between the head and the TAG should not be bigger than 2 cm. Move the ProxiEscorte away only after the acoustic and optic confirmation!

Invalid readings will be indicated by a multi-beep or multi-light up of the LEDs!

Please note:
A reading might not have been accepted because the device is locked!


Escorte Patrol Manager

The Patrol Manager (PM) is evaluation software in the Escorte and sends reports directly to a printer WITHOUT using a PC. The settings and the tour definitions can be executed WITHOUT a PC by using command strips (or for the OptoEscorte with command bar codes, or for the ProxiEscorte with command TAGs).

With TopGuard you can make PM configurations directly:
Furthermore you have the possibility with TopGuard to assign names to the control points which will be printed instead of the control point numbers on the PM report.

For more information about the PM please have a look at the Escorte Manual or
on the TopGuard CD in the file <Escorte>.


PenDTU Modem Settings

You can make settings in the PenDTU for the remote data transmission (e.g. via mobile phone or modem).

If no telephone number is saved in the ProxiPen, the telephone number, the redial interval and the redials of the PenDTU are used for the connection.
Enter the receiving telephone number.
In this example "0“ is dialed for a trunk line. The comma (,) causes a pause before the rest of the number is dialed. This is necessary if the demand for a trunk line takes a certain time.
The redials indicate how often the connection or transmission should be tried, if failed. Thereafter the modem transfer is interrupted. The redial interval indicates how many seconds should elapse between the different redials. All data stays in the ProxiPen until the receiving program confirms complete receipt of the data set.

Prefix:
ATD ... Modem dials automatically (pulse or tone dial, depending on the telephone mainlines)
ATDT ... Modem dials in the tone dial process

Modem Type

For communication via modem certain parameters are necessary. They may vary from modem type to modem type. The default modem profile in the PenDTU ("Motorola timeport 260 GPRS") can be used for most modems.

If this profile should not work, please contact your local dealer (an index is on our Homepage) for an Update.

TopGuard does not support direct remote data transmission!


VSR Preview Report

Control

In the report you can move with the mouse (scroll bar if existing or scroll-mouse) or the keyboard:

Key | Movement
[Home] | Beginning of the page
[End] | End of the page
[Down [image] ] | Next page beginning
[Up [image] ] | Previous page end

With alternating [Down [image] ] and [End] or [Up [image] ] and [Home] you can move through the report easily. To move through the pages fast use the control buttons

Find

You can search for any text. EVERY LINE in which the text (also as a part of a word) appears will show up. You can select the result.

You can search for: | Search term
Beginning of the download file | DAU:
Control points not assigned to a tour | (?)
e.g. Tour 3 | (3)
Unscheduled Tour (Header) | (0)
Unscheduled Tour (Summary) | =
Complete Tour (Summary) | +
Incomplete Tour (Summary) | -
e.g. Personnel replacement | P.
e.g. Incidents | I.
a specific control point (with selected "print control point code" or unknown control point) | <GMS 00564281>
a specific tour e.g. "Opening Tour" | <Opening Tour>

Please note the colon after DAU and the dot after "P", otherwise you will not find the target. Make a space after the date and the time, otherwise the header or footer could appear on every page.

Save, Open, Send as e-mail

The reports are saved as a file with the ending *.vsr.
Export / PDF

Exports the current document into a PDF document.

Print

You can print the viewed page, all pages or a selection (e.g. 3-5). If you click on the printer icon the print dialog is opened. Here you can also select another printer (the standard printer is always set by default).

Note:
If you change the page layout in the print dialog, the print out will not be affected. It will be printed as displayed.


Importing Data

If download files are in the download folder, they are imported into the Database by clicking on Report:
During the import the data is evaluated and saved based on the current valid Tour Definition.
A later tour definition change has no influence on data (download files) already imported!

After the data import the report dialog appears.


Database

TopGuard uses an MS Access 2000 database.


Microsoft Data Access Components; different software components for the database access


Printing Bar Codes

You can print GCS bar codes (GBC) with TopGuard Patrol:
The list shows all GBC available in the pool.
By clicking on [image] you can add bar codes from an Excel or a CSV file. You will find examples for the structure of such files in the folder <Samples>. In the installation folder you will also find an Excel sheet (<GCS Bar Code Label Command Booklet.xls>) with all available command bar codes for the OptoEscorte Patrol Manager.
By clicking on [image] all selected bar codes are printed as preview. The set label profile is used. You can save the preview or print it.

Note:
If the option "print code" is selected the printed code is shown (without leading "1"!).
See also GCS bar codes

Label profile

In the label profile the following settings are registered:
  • space between the first label and the top margin
  • space between the first label and the left margin
  • height and width of the label on which the bar code will be printed
  • if the description is printed or not
  • if the code is printed or not
  • font and type size of the labeling (description, code)
  • if a frame is printed or not
  • if a check sum is printed or not

TopGuard automatically calculates the number and the position of the labels per page with these values.

There are pre-defined (standard) label profiles. These can be changed, but you must rename the (new) profile. The standard profiles may not be deleted. The profiles you create can be deleted.
Option "Print Check Sum"
If this option is selected, a check sum is printed at the end of the bar code .
On the print out it appears as "cs" ("Check sum") at the code end (when the option "print code" is selected):
e.g. GBC 0815cs
Please note that the OptoEscorte must be configured according to the bar code option !

Note:
Command bar codes are always printed without check sum (independent from the setting).


Tabular text file with the ending *.csv, where every "column" is separated by a semicolon ";": e.g. GBC;0815;window


Folder in which TopGuard Patrol or TopGuard Patrol Plus is installed.


ProxiPen Date/Time Setting

When reading the ProxiPen TopGuard checks its internal date/time setting by comparing it with the PC date/time. The difference may not be greater than +/- 5 minutes, otherwise a warning appears in the status field.
The Time zone set in the PenDTU is important (especially for the time/date setting of the ProxiPen with "setting PC date/time“).

TopGuard only supports locally connected PenDTUs, therefore its time zone should be the same as the one set in the PC!

Always ensure that the correct time zone, date and time are set on your PC!


ProxiPen Modem Settings

You can make settings in the ProxiPen for remote data transmission (e.g. via mobile phone or modem).
If you make an entry in the field "telephone number", the settings in the ProxiPen will be used for the remote data transmission. If this field is empty the modem settings of the PenDTU are used (default).
Enter the receiving telephone number.
In this example "0“ is dialed for a trunk line. The comma (,) causes a pause before the rest of the number is dialed. This is necessary if the demand for a trunk line takes a certain time.
The redials indicate how often the connection or transmission should be tried, if failed. Thereafter the modem transfer is interrupted. The redial interval indicates how many seconds should elapse between the different redials. All data stays in the ProxiPen until the receiving programm confirms complete receipt of the data set.

Prefix:
ATD ... Modem dials automatically (pulse or tone dial, depending on the telephone mainlines)
ATDT ... Modem dials in the tone dial process

TopGuard does not support direct remote data transmission!


Escorte ID1 and ID2

Appears as softwareID (ID1) and hardwareID (ID2) in WinArgus for example to identify the download file (from which the Escorte comes).
This has no significance in TopGuard.

Default setting: ID1=ID2=serial number of the Escorte.


Escorte Note field

Text field to save notes in the Escorte.


Escorte Types

Depending on the Escorte type there are different options:

Escorte Classic

There are two sub-types of the Escorte Classic:
  • the older version Escorte 92
  • the newest version Escorte 97

The Escorte 92 has no options, but the Escorte 97 has a number of upgrades:

for the Patrol Manager:
  • set report mode
  • print the battery status (on/off)
  • error signal (on/off)

as well as the extended battery status:
Indication of the current battery voltage (the Escorte 92 shows only Battery OK/empty)

ProxiEscorte

The ProxiEscorte has the same options as the Escorte 97.

OptoEscorte

The OptoEscorte has the same options as the Escorte 97 and the following additional ones:

Check sum options:
  • Check sum: the GCS bar code to be read must have a check sum
  • ignore check sum: the GCS bar code to be read must have a check sum, but it will not be evaluated
  • no check sum: the GCS bar code must not have a check sum

This option is important when you print GCS bar codes with TopGuard.

Command options:
  • save commands: command strips read are saved like normal control points.
  • do not save commands: command strips read are executed, but not saved.


Escorte Patrol Manager Mode

The Patrol Manager status influences the Escorte memory when reading control points:

Inactive:
If the control point memory is full, no more control points will be saved. This is signalized by an acoustic multiple beep when reading the control point.

Active:
If the control point memory is full and a new control point is read, the oldest control point in the memory will be deleted.

If you use the Escorte with TopGuard you should always deactivate the Patrol Manager mode.


Escorte Memory Mode

The memory mode determines the available memory to read and save control points.

Older DAU versions (DAU82, DAU 89) had only 8kByte (~ 3000 control points) free memory.
The GCS programs available at this time (1982 to 1992) could only download devices with this memory capacity.
With Escorte bigger memories were possible (Escorte has 16 kByte, ~ 12.000 control points). For compatibility reasons with older programs the Escorte has the mode 89 which limits the memory internally to 8 kByte.

You should set the Escorte always in the mode 92 (16 kByte) to be able to read the maximum of control points.


Escorte Modem settings
You can make settings in the Escorte for remote data transmission (via modem):
Enter the receiving telephone number.
In this example "0“ is dialed for a trunk line. The comma (,) causes a pause before the rest of the number is dialed. This is necessary if the demand for a trunk line takes a certain time.

Prefix:
ATD ... Modem dials automatically (pulse or tone dial, depending on the telephone mainlines)
ATDT ... Modem dials in the tone dial process

Suffix:
/CR ... standard
/CRLF ... for some older modem types

The redial interval indicates how many seconds should elapse between redials. All data stays in the Escorte until the receiving program confirms complete receipt of the data set.

TopGuard does not support direct remote data transmission!


PM activate/deactivate

All tours in the Patrol Manager are deactivated (inactive), the tour definition in the PM remains unchanged!

To activate the Patrol Manager again, you must "edit" it, like in the tour definition in TopGuard.


The last sign of the bar code is a check sign, which is the sum of the previous signs (the real bar code). Serves as error detection during the reading.


Patrol Manager Report

The Patrol Manager's advantage is that you can send reports directly to a printer WITHOUT a PC.

Instead of printing the report out you can also display it directly in TopGuard (Summary report only).
This may be helpful to adapt the print settings (page length, left margin, etc.) of the Patrol Manager: you can see the result as print preview in TopGuard without wasting paper.

Furthermore you can save the report, open reports already saved and send reports by e-mail!


Edit Patrol Manager

You can edit the Patrol Manager with TopGuard: You can define, activate/deactivate tours, give names to the control points and much more. Since the Tour definition in TopGuard is completely compatible with the Patrol Manager, the principle is the same.


Patrol Manager Files

You can also save the Escorte Patrol Manager as file and load it from a file.
The files have the ending *.p92 and are compatible with those from GCS EscorteUtility software.


Patrol Manager Settings

Here you can make settings for the Patrol Manager (PM) report printout.
You can check them with print report in TopGuard.

Language Settings

Set the language for the PM report printout.
If your language does not exist, you can create your own language file (ending *.lng, compatible with the language files of Escorte Utility software):

In the TopGuard installation folder you will find the file <other.lng>.
Copy it (in the same folder) under another name, e.g. <my language.Ing>.
Translate the texts between the quotation marks, which do NOT start with #, e.g.:

# text number 1
# "page"
"page"

with

# text number 1
# "page"
"Page"

Save the file and select Language setting "Other" in TopGuard
Click button [image] to load the language file created onto the Escorte.

Company Name

Is printed in the footer of each PM report.

Report Mode

Select the type of report you want to print out.
If you read the print strip with Escorte and put it then on a DTU connected to a printer, this report will be printed.

Print Battery Status

If this option is "on", the current battery status is printed on the bottom of each PM report.
If this option is "off", you will recognize the battery status by the page break lines:
If the battery is dead/flat, there will be a "+" instead of an "=" sign.

Error Signal

The Escorte checks the sequence of the control points read. It must be the same as in the PM definition. If the option is "on", an acoustic multi-signal will come up if the sequence is not adhered to.

Left Margin

Indicates the number of characters for identation from the margin.

Page Length

Indicates the number of lines after which the Escorte makes a new break.

Emphase on/off

Control Character for older printers (depending on the printer!) to control the report printout. Should be empty. If you have problems with the report printout please contact GCS.

Country Code

Is not supported


Delete Patrol Manager

You can delete the Patrol Manager settings in the Escorte. Before the Patrol Manager is deleted you can decide whether a back-up copy (p92 file) is made or not. It will have the name "SN" + the Escorte serial number, but it can be changed. You can load it at any time into the Escorte.


DOS program to configure the Escorte. The functionality was imported and extended in TopGuard.


PenMaster
The GCS PenMaster is a reader for GMS, but without memory. The data is directly sent to the PC or a corresponding device (e.g. handheld, radio, etc.) after each reading.


Escorte Battery Change

Please contact you local GCS dealer. You will find a list on our homepage.


Upgrade TopGuard to Prisma 4.0

Export of Pool Data for Prisma:
A text file (ending: *.txt) is created. You can import it in Prisma as master data.

For the import of this file in Prisma, please see also the Prisma Manual.

Note:
Versions of Prisma prior to v4.0 SR-3 imported only the data medium codes, but not their description!

Export of Tour Definition for Prisma:

Export the tour definitions as DOS Argus file:
Prisma has an import filter for this kind of file.

For the import of this file in Prisma, please see also the Prisma Manual.


Copy protection plug which activates additional functions of the program, if it is connected to a port of the PC.
Some programs do not function at all without a copy protection plug!


What is new in Version 2.0?

1) The product has been renamed from TopGuard Patrol to TopGuard Patrol & TopGuard Patrol Plus.
  • In order to bring the TopGuard Patrol product into the TopGuard family, it has been renamed.

2) Extra Tours and Checkpoints
  • TopGuard Plus now allows up to 250 Tours and 7,500 Checkpoints.

3) Language translations now complete for English, French and German.
  • All menus and ToolTip texts now switch to the selected language.

4) Various cosmetic changes
  • Numerous cosmetic changes have been made to improve the useability of the product.


Plus Edition

If you connect a "TopGuard Plus Dongle" to the PC, additional functions are enabled.

If the dongle was detected at the startup, following symbol is displayed
and following additional functions are available:
  • 250 tours instead of 16 in the Primo version
  • 7500 programmable control points possible instead of 1750 in the Freeware version
  • An additional "special tour" for documentation of breaks (pauses).
  • Optional control points
  • Graphical illustration (map) of a tour
  • Additional reports:
    1) Personnel report
    2) Control point report
    3) Incident report
    4) Break report
  • Additional print options for different reports:
    1) Print missing control points
    2) Print exceptions
    3) Print valid control points
  • Reports can be issued by a selected tour.
  • Reports can be printed from historical data


Options

If you are logged in as "User" you may:
  • select & edit the language file
  • login as "Administrator"
  • send a Support request to your local dealer or directly to GCS

If you are logged in as "Administrator" you can also:
  • view the LOG file
  • Make report settings (logo, background, font, report format)
  • Change passwords
  • Define devices and functions available to a user
  • Set the file directory


Support Info

This option creates a support request with all important key data of:
  • the user
  • the Windows system
  • the hardware
  • the installed GCS software
  • TopGuard in detail
  • Dongle drivers installed

Furthermore you can enter your question(s) directly into the text window.

You can send the support request via email or print it out and send it by fax.


Log file view

You must be logged in as Administrator

Shows all relevant incidents and recorded errors during operation of TopGuard.


Escorte / Modem

Let us suppose that you want to transmit data from the Escorte to a PC via modem.
The data transfer should take place at 4800 Bits/second:

On the receiving side (PC)
  • a modem must be connected to the PC
  • A receiving program (e.g. GCS DauComm, GCS WinArgus) must be configured for modem transmission at 4800 Bits/second
  • the program must be launched and ready for data reception by modem.

On the sending side (DAU)
  • the DTU must be connected to the modem.
  • the Escorte must be configured for data transfer via modem (telephone number)
  • the modem must be configured for a data transfer at 4800 Bits/second (see below)
  • to start the transfer, a "Modem - command strip 4800" must be read and the Escorte put on the DTU.

TopGuard Patrol supports no direct transfer via modem!

Modem Configuration

You can configure a US Robotics Modem (recommended by GCS) for data transfer with an Escorte:
  • Select the serial port on which the modem is connected
  • Select the baud rate for the modem transfer (standard = 4800 Bits/second, recommended)
  • Click on "Configure"

It may be possible to use the configuration for other modem types.


Reports and Lists

You must be logged in as Administrator!

Report Format

This setting indicates the format of the reports.
  • VSR tamper-proof, but needs TopGuard or the GCS "VSR Viewer" to be opened
  • HTML standard format, can be opened with every Browser

This setting is valid for most of the reports or lists (e.g. support request,...)!

Note:
The HTML format does not support logos or background images.

Report Logo

The logo is only printed on the top right of the first page and shown as a preview in the report dialog.
TopGuard creates your personal logo (<logo.bmp>) from your company name when getting started.
You can select this file or any other graphic file in the *.jpg or *.bmp format by clicking on [image] . The logo should not be bigger than 300 x 55 pixel.
If you do not want the logo to be printed, click on [image] and select "Cancel“.

Report Background

You can print a background on the first report page.
Click on [image] and select a background (<background.jpg> is installed as an example)
If you do not want the background to be printed, click on [image] and select "Cancel“.

Change Font

Only certain fonts can be used. Therefore not all installed fonts will appear in the selection list. The standard font is "Arial", size 10.

Company name

Enter your company's name; it will appear on all reports in the footer. Click "Save" to save the name.


DAU 89
A very old, but widespread version of a GCS DAU from 1989. Due to the fact that so many units are still in use, TopGuard also supports this version, if the GCS DauComm 3.0 is installed on your PC.

Reading

By swiping the reading head over a GCS magnetic data strip. A valid reading is confirmed acoustically by a signal and visually by two LEDs on the head. If there is no acoustic signal (one beep), the battery is low and should be replaced!

Invalid readings will be indicated by a multi-beep or multi-light up of the LEDs!

Important!
A reading might not have been accepted because the device is locked!


DAU 89 / DauComm

TopGuard supports the DAU 89 indirectly with the GCS DauComm 3.0.
DauComm is a communication server for the GCS DAUs, which offers different functions for the configuration or the download of DAUs via OLE.

Note:
DauComm is not automatically installed during the TopGuard installation!

For more information about DauComm please have a look into the DauComm user manual.

DAU 89 Download or Configuration

TopGuard sets automatically the date/time of DauComm at every communication to the PC date/time.

DAU 89 does not support a battery status. Therefore TopGuard indicates only if the battery is "OK" (battery symbol is half green) or "dead"(battery symbol is red).


Escorte II
The GCS Escorte II is a further development of Escorte and is available in different versions:
  • Escorte II ProxiOpto (reads GPT, GET and different Barcodes)
  • Escorte II ProxiGMS (reads GPT, GET and GMS)

Use the serial Escorte DTU to download data from the Escorte II.


Escorte II Options

Lock status

You can lock the Escorte II, which means that control points cannot be read.
If the Escorte II is locked, a warning appears on the status window.

Read Data Media within One Minute

The traditional GCS DAUs could not read one data medium twice within one minute.
Another data medium had to be read in between or the following minute had to be awaited. This was protection against unintended multi readings (especially for GMS).
For the Escorte II this protection can be disabled.


Escorte Options
  • Configure Modem
  • Identify Data Medium
  • Command book
  • Macro


Map View

Only available in the TopGuard Patrol Plus Edition.

Used to create a graphic tour map, which can be printed out and given to personnel.

Legend
Create new map
Load map from file (*.bmp,*.jpg)
Save map
Print map
Change map size (Pixel or %):
width
height
Redo last action
Draw line (press SHIFT key to draw straight or 45 degree lines)
Line from control point to control point (Link-Mode).
Click one after another on the control points you want to join.
Set line width
Set color for lines and text
Enter text. The text field can be moved with the mouse like a control point until you finish the action with the Enter-key.
Exit- close the dialog

Create New Map

All control points of the current (selected) tour are listed on the left side and appear as a square on the top left of the drawing surface (map). Tour start control points are red, all the others are green. The number in the square indicates how often the control point must be checked:
Load a graphic file with [image] or draw a map.
Then click on the squares and drag them by holding the left mouse button on the desired place on the map:

Example:
The number in the squares (control points) refer to their count!

Save Map

The map is saved as graphic file (*.bmp) in the data directory of TopGuard according to the tour number:
e.g. tour 1: the map is saved as <.../TopGuard/Data/Tour1.bmp>

Print Map
On the printout the number in the squares (control points) refer to the legend!


DAU 89 Battery Exchange

DAU 89 does not support a battery status. Therefore TopGuard indicates only if the battery is "OK" (battery symbol is half green) or "flat" (battery symbol is red).

Please contact your local distributor. You can find a complete listing on our Homepage.


DAU 89 Lock Status

You can lock the DAU 89, which means that control points cannot be read.
If the DAU 89 is locked, a warning appears on the status window.


Object Link & Embed, Technology of Microsoft for communication between different programs


DAU 89 ID1 and ID2

Appears e.g. in WinArgus as software ID (ID1) or hardware ID (ID2) to identify the download file (to which DAU 89 it belongs).
Has no significance in TopGuard.

Default: ID1=ID2=serial number of DAU 89.


DAU 89 Modem Settings

You can make settings in the DAU 89 for remote data transmission (via modem):

Enter the receiving telephone number.
In this example "0“ is dialed for a trunk line. The comma (,) causes a pause before the rest of the number is dialed. This is necessary if the demand for a trunk line takes a certain time.

Prefix:
ATD ... Modem dials automatically (pulse or tone dial, depending on the telephone mainlines)
ATDT ... Modem dials in the tone dial process

Suffix:
/CR ... standard
/CRLF ... for some older modem types

TopGuard does not support direct remote data transmission!


Escorte II Battery Change

Please contact your local dealer. You can find a complete listing on our Homepage.


Escorte II Modem Settings

You can make settings in the Escorte II for remote data transmission (e.g. via mobile phone or modem)
Enter the receiving telephone number.
In this example "0“ is dialed for a trunk line. The comma (,) causes a pause before the rest of the number is dialed. This is necessary if the demand for a trunk line takes a certain time.
The redials indicate how often the connection or transmission should be tried, if failed. Thereafter the modem transfer is interrupted. The redial interval indicates how many seconds should elapse between the different redials. All data stays in the Escorte II until the receiving program confirms complete receipt of the data set.

Prefix:
ATD ... Modem dials automatically (pulse or tone dial, depending on the telephone mainlines)
ATDT ... Modem dials in the tone dial process

Modem Types

For communication via modem some parameters are necessary. They may vary from modem type to modem type. The default modem profile in the Escorte II ("Motorola timeport 260 GPRS") can be used for most modems.

If this profile should not work, please contact your local dealer (a complete listing can be found on the GCS Homepage) for an Update.

TopGuard does not support direct remote data transmission!


Escorte II Time Settings

Time Zone

TopGuard checks the correct time setting of the Escorte II (+/- 5 minutes of PC date/time). Therefore it is important that the right time zone is set.

Important:
At delivery of the Escorte II NO time zone is set!

If when downloading data from an Escorte II or the opening of the configuration window, no time zone is set, TopGuard Patrol automatically sets the time zone of the Escorte II to the time zone of the PC!

If you use Escorte II in different time zone from that of the PC's time zone, you must set the time zone manually.

Example:
The Escorte II is used in Athens, but the data will be transferred via modem to a PC in Vienna. A program calculates the GMT time of the PC and the GMT time of the Escorte II according to the time zone set:

The GMT time is 13:00, Athens has a GMT+2, therefore it is 15:00 in Athens, Vienna has a GMT +1, therefore it is 14:00 in Vienna. Assuming that the PC time and time zone are correct:

 | local time | GMT Offset | GMT calculated
Time of the Escorte II in Athens | 15:09 | Escorte II +2 (Athens) | 13:09
Time of the PC in Vienna | 14:00 | PC +1 (Vienna) | 13:00

The time difference between the Escorte II and the PC is greater than 5 minutes, but it can easily be synchronized.

Date/Time Setting

Whe reading the Escorte TopGuard checks its internal date/time setting by comparing it with the PC date/time. The difference may not be greater than +/- 5 minutes, otherwise a warning will appear in the status field.
The time zone set in the Escorte II is important (especially for the time/date setting of the Escorte II with „setting PC date/time“).

TopGuard Patrol supports only local connected Escorte II, therefore its time zone should be the same as the one set in the PC!

Always ensure that the right time zone, date and time are set on your PC!


Escorte II Bar Code Profiles

This option is available only for the Escorte II ProxiOpto.

You can select the bar codes to be read with Escorte II ProxiOpto:

Supported bar codes at the time of writing this help are:
  • GBC

as well as standard bar codes:
  • Code39
  • Code 25
  • Code 25 Interleaved

GCS can also integrate other bar codes upon request. Please contact GCS direct.


HyperText Marked-up Language, format for the platform independent exchange of files via internet


PenMaster Versions

The PenMaster is available in different versions:
  • for the serial port (PC)
  • for TTL ports (e.g. Psion Workabout)
  • for Motorola radios

GCS Reader for GCS magnetic strips (GMS). The data is directly sent to the connected device.


GCS program for maintenance and service applications


Portable Document Format, format for the platform independent exchange of documents


Loading a Sample

If the sample files are installed, you can import a sample tour definition:

There needs to be a set of files in the following directory for this to be enabled:

<Installation Directory>\Samples

where <Installation Directory> would typically be 'c:\Program Files\GCS\TopGuard.

For TopGuard Patrol, the two files are:
    • sample_strips.def
    • sample_tours.def

For TopGuard Patrol Plus, the three files are:
    • sample_strips.csv
    • sample_tours.csv
    • sample_tour1.bmp

If you save the changes when you exit the tour definition, a sample download file will be copied to the download folder.
So you import this file and generate sample reports.


Install

Login as Administrator is mandatory.

This allows the User to install any applications loaded into the TopGuard\Setup directory.


Option Data Folder

Login as Administrator is mandatory!

TopGuard saves the configuration files for the tour definition as well as for the data base in a special folder (Standard: <...\TopGuard\Data>). This folder can be changed, e.g. to a network drive.


User Devices and Functions

Login as Administrator is mandatory!

As an Administrator, it is possible to define which devices and functions are available when logged in as a User.

In this way, it is possible to limit the available functions on the main screen. Also, it is possible to customise the front screen to only show those devices that are actually used.

The GCS toolbar showing linked applications and the Download file count can also be optionally shown or hidden as required.


Escorte Identify Data Medium

Especially with GMS there are many special data strips (e.g. command strips, incident strips etc...).

By clicking on "Identify" the last read data strip is read out of the Escorte and is identified according to the table. If the data medium is not in the table, it is added to the table with the time and date of the reading.


Escorte Command Booklet

A virtual Command Book for the Escorte.
Clicking on the respective GMS-Command strip is the same reading the strip with the Escorte.
For further information about the different command sequences see the Escorte handbook or (click on "?" or the F1-key):


Escorte Macro

This option allows you run an Escorte macro.
These are simple text files with the suffix *.esm, that contain the table numbers of GMS command strips. When the macro runs, the numbers are sent to the Escorte. This corresponds to reading the respective command strip.

File example: <set other language.esm>

Set the PM language to "other":

99999061
99999613
00000039
00000039
99999613